RPCalls (scheduler-portlet 2.2.0-SNAPSHOT API)
Date: 2015-11-05

org.gcube.datatransfer.portlets.user.client

## Class RPCalls

- java.lang.Object
- - org.gcube.datatransfer.portlets.user.client.Common
  - - org.gcube.datatransfer.portlets.user.client.RPCalls

-     public class RPCalls
      extends Common

  Author:
    Nikolaos Drakopoulos(CERN)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.gcube.datatransfer.portlets.user.client.Common

      `Common.DESTTYPE, Common.FolderToRetrieve, Common.SOURCETYPE`

  - ### Field Summary

    - ### Fields inherited from class org.gcube.datatransfer.portlets.user.client.Common

      `agentHostname, agentIsSelectedFromStatsPanel, agentStatProp, agentStats, agentStatsTooltip, autoId, baseDtoProp, callingManagementResult, callingManagementResultJson, callingSchedulerResult, callingWorkspaceRoot, cc1Uris, cc2Uris, closeButton, cmAgentStat, combo1, combo1Label, comboAgent, commands, commandsInGrid, currentAgentDestinationPath, currentAgentSourcePath, currentDataSourcePath, currentDataStoragePath, currentMongoDBDestinationPath, currentMongoDBSourcePath, dataSourcesList, dataStoragesList, date, dateLabel, defaultResourceName, defaultScope, defaultValuesSource, defaultValuesStorage, deleteCurrentFolder, deleteCurrentTreeSource, destCombo, destinationAnchor, destinationF, destinationFolder, destLabel, destLabelF, dialogBoxGen, east, editing, foc, focusTimer, folderDestination, folderResDestination, folderResSource, folderSource, force, forceInGrid, forTreeElementDescription, frequency, functions, gettingUserAndScope, getTransferRepeatingTimer, getTransferTimer, grid, gridAgentStats, hideSchedulerButton, idWorkspaceRoot, inputUrls, isAdmin, jsonWorkspace, lastCombo1Value, lastDestComboValue, lastSelectedAgentFolderDestName, lastSelectedAgentFolderName, lastSelectedDataSourceFolderName, lastSelectedDatastorageFolderName, lastSelectedFolderId, lastSelectedMongoDBFolderDestName, lastSelectedMongoDBFolderName, listAgentStats, listOutcomes, listTreeOutcomes, loadingIconForSource, loadingIconForTarget, loadingIconForTransfers, makeNewFolder, makeNewTreeSource, minGenHeight, minGenWidth, multiBoxAgents, multiBoxDataSources, multiBoxDataStorages, multiBoxDestinationType, multiBoxSourceType, multiBoxTreeWriteSources, neededParent, newFolderField, newTreeSourceField, outcomesProp, overwrite, panelGeneral, panels, passWorkspace, popups, portlet, printFolderString, resizeTimer, ResourceName, ResourceNameInGrid, rpCalls, schedulerService, scope, scopeInGrid, selectedAgentDestination, selectedAgentDestinationPath, selectedAgentDestinationPort, selectedAgentSource, selectedAgentSourcePath, selectedAgentSourcePort, selectedDataSourceId, selectedDatasourcePath, selectedDataStorageId, selectedDatastorageName, selectedDatastoragePath, selectedDestCollection, selectedMongoDBDestinationPath, selectedMongoDBSourcePath, sendButton, showDestinationsButton, showSchedulerButton, showSourcesButton, smAccessType, smAccessTypeSource, smOwner, smOwnerSource, smServiceClass, smServiceClassSource, smServiceName, smServiceNameSource, sourceAnchor, sourceStore, sourceTree, south, specificationLink, store, storeAgentStats, storeForUris, stringOfAgents, stringOfAgentStats, stringOfWriteSourceIDs, targetStore, targetTree, targetTreeDropTarget, time, timeLabel, toBeTransferredStore, toolbarDestF, toolbarSource, totalWidth, transferId, transferIdInGrid, transferInfoProp, treeOutcomesProp, typeOfSchedule, unzip, uriGrid, uriProp, vpListFiles, west`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RPCalls()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancel()`
    `void` | `createNewTreeSource()`
    `void` | `deleteFolderInMongoDB()`
    `void` | `deleteTreeSource()`
    `void` | `getAgentFolder(String path)`
    `void` | `getAgentFolderDest(String path)`
    `void` | `getAgents()`
    `void` | `getAgentStatistics(Common.FolderToRetrieve folderToRetrieve)`
    `void` | `getDatasourceFolder(String dataSourceId, String path)`
    `void` | `getDataSources()`
    `void` | `getDatastorageFolder(String dataStorageId, String path)`
    `void` | `getDataStorages()`
    `void` | `getMongoDBFolder(String path)`
    `void` | `getMongoDBFolderDest(String path)`
    `void` | `getOutcomes()`
    `void` | `getTransfers()`
    `void` | `getTreeReadSources(boolean popUpDestTrees)`
    `void` | `getTreeWriteSources(boolean popUpDestPanel)`
    `void` | `getUserAndScopeAndRole()`
    `void` | `getWorkspace()`
    `void` | `getWorkspaceFolder(String idOfSpecificFolder, boolean needTheParent)`
    `void` | `monitor()`
    `void` | `schedule()`
    `void` | `storeNewFolderInMongoDB()`

    - ### Methods inherited from class org.gcube.datatransfer.portlets.user.client.Common

      `createGridEditing`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RPCalls

          public RPCalls()

  - ### Method Detail

    - #### createNewTreeSource

          public void createNewTreeSource()

    - #### deleteTreeSource

          public void deleteTreeSource()

    - #### getTreeReadSources

          public void getTreeReadSources(boolean popUpDestTrees)

    - #### getTreeWriteSources

          public void getTreeWriteSources(boolean popUpDestPanel)

    - #### getAgents

          public void getAgents()

    - #### schedule

          public void schedule()

    - #### monitor

          public void monitor()

    - #### getOutcomes

          public void getOutcomes()

    - #### cancel

          public void cancel()

    - #### getTransfers

          public void getTransfers()

    - #### deleteFolderInMongoDB

          public void deleteFolderInMongoDB()

    - #### storeNewFolderInMongoDB

          public void storeNewFolderInMongoDB()

    - #### getDataSources

          public void getDataSources()

    - #### getWorkspaceFolder

          public void getWorkspaceFolder(String idOfSpecificFolder,
                                boolean needTheParent)

    - #### getWorkspace

          public void getWorkspace()

    - #### getUserAndScopeAndRole

          public void getUserAndScopeAndRole()

    - #### getDataStorages

          public void getDataStorages()

    - #### getDatasourceFolder

          public void getDatasourceFolder(String dataSourceId,
                                 String path)

    - #### getDatastorageFolder

          public void getDatastorageFolder(String dataStorageId,
                                  String path)

    - #### getAgentFolder

          public void getAgentFolder(String path)

    - #### getAgentFolderDest

          public void getAgentFolderDest(String path)

    - #### getMongoDBFolder

          public void getMongoDBFolder(String path)

    - #### getMongoDBFolderDest

          public void getMongoDBFolderDest(String path)

    - #### getAgentStatistics

          public void getAgentStatistics(Common.FolderToRetrieve folderToRetrieve)

Copyright © 2015. All Rights Reserved.